%define _tmppath %{_topdir}/tmp
Summary: Apache External Authentication
Name: mod_auth_external
Version: 2.1.4
Release: 2
Group: Utilities/Apache
License: Unknown
Source0: mod_auth_external-%{version}.tar.gz
Source1: pwauth.pam
Patch: pwauth.patch
BuildRoot: %{_tmppath}/mod_auth_external-%{version}
BuildPreReq: webserver-devel
Requires: webserver
%description
This package allows the system administrator to externaly authenticate users
of the web server.

%changelog
* Sun Mar 19 2000 David Summers <david@summersoft.fay.ar.us>
- Release 2: Changed requirements to depend on virtual package "webserver"
  instead of apache so it can depend on apacheplus or other versions also.

%prep
%setup

%patch -p1

mv pwauth/README pwauth/README.pwauth
mv pwauth/INSTALL pwauth/INSTALL.pwauth

%build
/usr/sbin/apxs -c mod_auth_external.c

cd pwauth
make pwauth

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
mkdir -p $RPM_BUILD_ROOT/usr/libexec
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp mod_auth_external.so $RPM_BUILD_ROOT/usr/lib/apache

cp pwauth/pwauth $RPM_BUILD_ROOT/usr/libexec
cp $RPM_SOURCE_DIR/pwauth.pam $RPM_BUILD_ROOT/etc/pam.d/pwauth

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/pam.d/*
%doc CHANGES README TODO
%doc pwauth/*.pwauth
/usr/lib/apache/*
%attr(4555,root,root) /usr/libexec/*
